require "httparty"
require "multi_json"
require 'outbound/version'

module Outbound
  class API

    def initialize(api_key)
      @api_key ||= api_key
    end

    def identify(user_id, traits)
      body = { "api_key" => @api_key, "user_id" => user_id, "traits" => traits }
      HTTParty.post('http://api.outbound.io/api/v1/identify', :body => MultiJson.dump(body), :headers => { 'Content-Type' => 'application/json'})
    end

    def track(user_id, event, payload)
      body = { "api_key" => @api_key, "user_id" => user_id, "event" => event, "payload" => payload }
      HTTParty.post('http://api.outbound.io/api/v1/track', :body => MultiJson.dump(body), :headers => { 'Content-Type' => 'application/json'})
    end

  end
end
